Skip to main content
GET
/
clusters
/
{clusterId}
Get a cluster's live status
curl --request GET \
  --url https://api.ridergy.com/v1/clusters/{clusterId} \
  --header 'x-api-key: <api-key>'
{
  "clusterId": "clst_20260612_a1b2c3d4",
  "tenantUuid": "<string>",
  "name": "North Campus",
  "locationIds": [
    "3632155",
    "3632156"
  ],
  "limitKw": 200,
  "createdAt": "2023-11-07T05:31:56Z",
  "updatedAt": "2023-11-07T05:31:56Z",
  "liveStatus": {
    "actualTotalKw": 130.8,
    "clusterLimitKw": 200,
    "sumLocationLimits": 200,
    "withinLimit": true,
    "locations": [
      {
        "locationId": "3632155",
        "setLimitKw": 100,
        "effectiveLimitKw": 80,
        "actualKw": 65.4
      }
    ]
  }
}

Authorizations

x-api-key
string
header
required

Per-tenant API key. Tenant is derived from the key — never from the request.

Path Parameters

clusterId
string
required

Response

Cluster detail with live status

clusterId
string
Example:

"clst_20260612_a1b2c3d4"

tenantUuid
string
name
string
Example:

"North Campus"

locationIds
string[]
Example:
["3632155", "3632156"]
limitKw
number | null
Example:

200

status
enum<string>
Available options:
ACTIVE,
INACTIVE
createdAt
string<date-time>
updatedAt
string<date-time>
liveStatus
object